﻿using Model;
using NetworkBehaviourClasses;
using UnityEngine;

namespace Action
{
    public class DisconnectRobotAction : RobotAction
    {
        private GameObject _cubeObject;
        private GameObject _playerObject;

        public DisconnectRobotAction(GameObject playerObject, GameObject cubeObject)
        {
            _cubeObject = cubeObject;
            _playerObject = playerObject;
        }
        public override void doAction()
        {
            TaskValidator taskValidator = new TaskValidator(_playerObject);
            if (!taskValidator.TryValidate())
            {
                Movable playerMovable = _playerObject.GetComponent<Movable>();
                playerMovable.Disconnect();
            }
        }
        
    }
}