﻿using System.Collections.Generic;

namespace Model
{
    public class TaskPatternBank
    {
        public List<int[,]> patterns;

        public TaskPatternBank()
        {
            patterns = new List<int[,]>();

            PopulatePatterns();
        }

        private void PopulatePatterns()
        {
            patterns.Add(new int[5,5]
            {
                {4, 0, 0, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 0, -1, -1, -1},
                {4, 0, -1, -1, -1},
                {-1, 0, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 0, 0, -1, -1},
                {4, 0, -1, -1, -1},
                {-1, 0, 0, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 0, -1, -1, -1},
                {4, 0, -1, -1, -1},
                {-1, 0, -1, -1, -1},
                {-1, 0, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 0, 0, -1, -1},
                {4, 0, 0, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 0, -1, -1, -1},
                {-1, 0, -1, -1, -1},
                {4, 0, -1, -1, -1},
                {-1, 0, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {4, 0, 0, 0, 0},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {4, 0, 0, 0, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {4, 0, 0, 0, -1},
                {-1, -1, 0, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            patterns.Add(new int[5,5]
            {
                {-1, 4, -1, -1, -1},
                {0, 0, 0, -1, -1},
                {-1, -1, 0, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            /* TEMPLATE
            patterns.Add(new int[5,5]
            {
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1},
                {-1, -1, -1, -1, -1}
            });
            */
        }
    }
}