﻿using System;
using System.Collections.Generic;
using Unity.Services.Lobbies;
using Unity.Services.Lobbies.Models;

namespace MultiPlayer.LobbyScripts
{
    public class LobbyEventArgs : EventArgs
    {
        public List<Lobby> lobbies;
        public Lobby changedLobby;

        public LobbyEventArgs(List<Lobby> inlobbies)
        {
            lobbies = inlobbies;
        }

        public LobbyEventArgs(Lobby newLobby)
        {
            changedLobby = newLobby;
        }
    }
}