﻿using UnityEngine;

namespace NetworkBehaviourClasses
{
    public interface IMovable
    {
        GameObject MoveObject { get; }
        bool IsConnected { get; }
        Movement Movement { get; }
        GameObject ParentObject { get; }

        void Connect(GameObject obj);
        void Disconnect();
    }
}