﻿using System;
using Unity.Netcode;
using Unity.Services.Core;
using UnityEngine;

namespace DefaultNamespace
{
    public class TestMovement : NetworkBehaviour
    {
        public void Update()
        {
            if (!IsOwner) return;
            
            Vector3 movedir = new Vector3(0, 0, 0);
            if (Input.GetKey(KeyCode.W)) movedir.y = +1f;
            if (Input.GetKey(KeyCode.A)) movedir.x = -1f;
            if (Input.GetKey(KeyCode.S)) movedir.y = -1f;
            if (Input.GetKey(KeyCode.D)) movedir.x = +1f;

            transform.position += movedir * (3f * Time.deltaTime);
        }
        
    }
}