using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

namespace UI.CameraMovements
{ 
    public class CameraDrag : MonoBehaviour
    {
        public float dragSpeed = 2;
        private Vector3 dragOrigin;
       
        public bool cameraDragging = true;
       
        public float outerLeftx = -10f;
        public float outerRightx = 10f;
     
     
        public float outerLefty = -10f;
        public float outerRighty = 10f;

        
        void Update()
        {
            Vector2 mousePosition = new Vector2(Input.mousePosition.x, Input.mousePosition.y);
           
            // height -re ugyanez
            float wLeft = Screen.width * 0.2f;
            float wRight = Screen.width - (Screen.width * 0.2f);
            
            float hUp = Screen.height * 0.2f;
            float hDown = Screen.height - (Screen.height * 0.2f);
           
            // Width
            if(mousePosition.x < wLeft)
            {
                cameraDragging = true;
            }
            else if(mousePosition.x > wRight)
            {
                cameraDragging = true;
            }
            
            // Height
            if(mousePosition.y < hUp)
            {
                cameraDragging = true;
            }
            else if(mousePosition.y > hDown)
            {
                cameraDragging = true;
            }

            if (cameraDragging) {
               
                if (Input.GetMouseButtonDown(1))
                {
                    dragOrigin = Input.mousePosition;
                    return;
                }
               
                if (!Input.GetMouseButton(1)) return;
               
                Vector3 pos = Camera.main.ScreenToViewportPoint(Input.mousePosition - dragOrigin);
                Vector3 move = new Vector3(pos.x * dragSpeed, pos.y * dragSpeed, 0);
               
                // Forditva, de szerintem igy jobb ahogy van
                /*
                
                if (move.x > 0f && move.y > 0f)
                {
                    if (this.transform.position.x < outerRightx && this.transform.position.y < outerRighty)
                    {
                        transform.Translate(move, Space.World);
                    }
                    
                }

                if (move.x <= 0f && move.y > 0f)
                {
                    if (this.transform.position.x >= outerRightx && this.transform.position.y <=outerLefty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                if (move.x > 0f && move.y <= 0f)
                {
                    if (this.transform.position.x <= outerLeftx && this.transform.position.y >= outerRighty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                if (move.x > 0f && move.y > 0f)
                {
                    if (this.transform.position.x <= outerLeftx && this.transform.position.y <= outerLefty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                */

                if (move.x > 0f && move.y > 0f)
                {
                    if (this.transform.position.x < outerRightx && this.transform.position.y < outerRighty)
                    {
                        transform.Translate(move, Space.World);
                    }
                    
                }

                if (move.x > 0f && move.y <= 0f)
                {
                    if (this.transform.position.x < outerRightx && this.transform.position.y > outerLefty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                if (move.x <= 0f && move.y > 0f)
                {
                    if (this.transform.position.x > outerLeftx && this.transform.position.y < outerRighty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                if (move.x <= 0f && move.y <= 0f)
                {
                    if (this.transform.position.x > outerLeftx && this.transform.position.y > outerLefty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                
                
                /*
                if (move.x > 0f)
                {
                    if(this.transform.position.x < outerRightx)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                else{
                    if(this.transform.position.x > outerLeftx)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                
                if (move.y > 0f)
                {
                    if(this.transform.position.y < outerRighty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                else{
                    if(this.transform.position.y > outerLefty)
                    {
                        transform.Translate(move, Space.World);
                    }
                }
                */
            }
        }

    }
}