using TMPro;
using UnityEngine;
using UnityEngine.UI;

namespace UI
{
    public class InputPrefab : MonoBehaviour
    {
        public TextMeshProUGUI Title;
        public TMP_InputField Input;
        public Button Ok;
        public Button Cancle;

        /// <summary>
        /// Sets up input form based on the given names
        /// </summary>
        /// <param name="title">The title of the form</param>
        /// <param name="placeholder">The place holder for the input field</param>
        public void SetUpText(string title, string placeholder)
        {
            Title.text = title;
            Input.placeholder.GetComponent<TextMeshProUGUI>().text = placeholder;
        }
    }
}
