using System.Collections;
using System.Collections.Generic;
using NUnit.Framework;
using UnityEngine;
using NetworkBehaviourClasses;
using UnityEngine.TestTools;
using NSubstitute;

public class movable
{



    [Test]
    public void connect_to_obj()
    {
        // ARANGE
        GameObject asd = new GameObject("Movable");
        Movable mov = asd.AddComponent<Movable>();


        GameObject o = new GameObject("target");

        // ACT
        mov.Connect(o);

        // ASSERT
        Assert.AreEqual(mov.moveObject, o);
        Assert.AreEqual(mov.gameObject.transform.parent, o.transform);
        Assert.IsTrue(mov.isConnected);

    }


    [Test]
    public void disconnect_from()
    {
        // ARANGE
        GameObject asd = new GameObject("Movable");
        Movable mov = asd.AddComponent<Movable>();

        GameObject o = new GameObject("target");
        mov.Connect(o);

        // ACT
        mov.Disconnect();

        // ASSERT
        Assert.AreNotEqual(mov.moveObject, o);
        Assert.IsNull(mov.moveObject.transform.parent);
        Assert.IsFalse(mov.isConnected);
    }

}
