using UnityEngine;

namespace Action
{
    public class MoveRobotAction : RobotAction
    {
        private Movement _movement;
        private Vector3 _vec;

        public MoveRobotAction(GameObject moveObject, Vector3 vec)
        {
            if (moveObject != null)
            {
                _movement = moveObject.GetComponent<Movement>();
            }
            _vec = vec;
            _vec.z = 0;
        }

        public override void doAction()
        {
            _movement.MoveTo(_vec);
        }
    }
}
