using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using NetworkBehaviourClasses;
using Unity.Netcode;
using UnityEngine.Serialization;

public class Movement : MonoBehaviour
{
    /*
     * 
     */

    [SerializeField]
    public Vector3 movePoint;

    //[SerializeField]
    //private int radius = 2;
    //[SerializeField]
    //private float appearanceAmount = 0.2f;

    private float movementSpeed = 5f;
    public bool isEnabled = true;

    // Start is called before the first frame update
    void Start()
    {
        movePoint = gameObject.transform.position;
    }

    void Update()
    {
        if (isEnabled) gameObject.transform.position = Vector3.MoveTowards(transform.position, movePoint, movementSpeed * Time.deltaTime);
    }

    public void MoveTo(Vector3 point)
    {
        movePoint += point;
        /*
        if (Vector3.Distance(transform.position, movePoint.position) <= .05f)
        {
            movePoint.position = point;
            this.transform.position = point;

            VisibilityManager.Instance.AddVisibility(
                new Vector2(movePoint.position.x, movePoint.position.y),
                            VisibilityManager.Instance.testAddVisibilityAmount,
                            VisibilityManager.Instance.testRadius);
        }
        */
    }

    [ClientRpc]
    public void SetIsEnabledClientRpc(bool val)
    {
        isEnabled = val;
    }

    /*
    private void MoveInDirection(Vector3 direction)
    {
        if (Vector3.Distance(transform.position, movePoint.position) <= .05f)
        {
            movePoint.position += direction;

            VisibilityManager.Instance.AddVisibility(
                new Vector2(movePoint.position.x, movePoint.position.y),
                            VisibilityManager.Instance.testAddVisibilityAmount,
                            VisibilityManager.Instance.testRadius);
        }
    }
    */

}
