using System.Collections;
using System.Collections.Generic;
using MultiPlayer;
using MultiPlayer.LobbyScripts;
using UI;
using UI.LobbyScripts;
using Unity.Services.Authentication;
using Unity.Services.Core;
using Unity.Services.Lobbies;
using Unity.Services.Lobbies.Models;
using UnityEngine;

public class QuickStart : MonoBehaviour
{

    public KeyCode host = KeyCode.H;
    public KeyCode join = KeyCode.J;

    
    async void Update()
    {
        
        if (Input.GetKeyDown(host))
        {
            await Authentication.Instance.Authenticate("asd");
            
            LobbyManager.Instance.CreateLobby("Quick Start Lobby",2);
            JoinedLobbyUI.Instance.gameObject.SetActive(true);
        }

        if (Input.GetKeyDown(join))
        {
            await Authentication.Instance.Authenticate("asd2");

            QueryResponse queryResponse = await Lobbies.Instance.QueryLobbiesAsync();

            Lobby lobbi = await LobbyManager.Instance.JoinLobby(queryResponse.Results[0], "Red");
            JoinedLobbyUI.Instance.gameObject.SetActive(true);
        }

    }
}
