﻿using System;
using System.Collections.Generic;
using System.Reflection;

namespace UI.DevConsole
{
    public class RunCommandEventArgs : EventArgs
    {
        public KeyValuePair<KeyValuePair<Type, MethodInfo>, DevCommands> Command;
        public object[] Args;

        public RunCommandEventArgs(KeyValuePair<KeyValuePair<Type, MethodInfo>, DevCommands> command, object[] args)
        {
            Command = command;
            Args = args;
        }
    }
}