using System;
using TMPro;
using UI.DevConsole;
using UI.LobbyScripts;
using UnityEngine;
using UnityEngine.UI;

namespace UI
{
    public class MainMenuUI : MonoBehaviour
    {
        [SerializeField]
        private GameObject authenticate;

        public void Start()
        {
            JoinedLobbyUI.Instance.gameObject.SetActive(false);
        }

        /// <summary>
        /// Function to call on the New Game Button
        /// </summary>
        public void newGameOnClick()
        {
            authenticate.SetActive(true);
        }
        
        /// <summary>
        /// Function to call on the Exit Button
        /// </summary>
        public void exitOnClick()
        {
            Application.Quit();
        }
    }
}

