using System.Collections;
using System.Collections.Generic;
using Action;
using NUnit.Framework;
using UnityEngine;
using UnityEngine.TestTools;

public class move_action
{

    private GameObject testObject;
    private Movement robot;

    [SetUp]
    public void Setup()
    {
        testObject = GameObject.Instantiate(new GameObject());
        robot = testObject.AddComponent<Movement>();
    }

    [UnityTest]
    public IEnumerator move_actionWithEnumeratorPasses()
    {
    
        var start = robot.transform.position;

        MoveRobotAction ma = new MoveRobotAction(robot.gameObject, Vector3.up);
        ma.doAction();

        yield return new WaitForSeconds(1f);


        Assert.AreEqual(robot.transform.position, start + Vector3.up);

    }
}
